<?php

class Best_magazine_meta_layout_model extends WDWT_meta_model{
  
  public $params;
  
  function __construct(){
    
    $this->params = array( 

      'default_layout' => array(
        "name" => "default_layout", 
        "title" =>  __( "Choose Default Layout", 'best-magazine' ), 
        'type' => 'layout_open', 
        "description" => __( "Select the default layout for pages and posts on the website.", 'best-magazine' ), 
        'valid_options' => array( 
          array('index' => '1', 'title'=> __( 'No Sidebar', 'best-magazine' ), 'description'=>''),
          array('index' => '2', 'title'=> __( 'Right Sidebar', 'best-magazine' ), 'description'=>''),
          array('index' => '3', 'title'=> __( 'Left Sidebar', 'best-magazine' ), 'description'=>''),
          array('index' => '4', 'title'=> __( 'Two Right Sidebars', 'best-magazine' ), 'description'=>''),
          array('index' => '5', 'title'=> __( 'Two Left Sidebars', 'best-magazine' ), 'description'=>''),
          array('index' => '6', 'title'=> __( 'One Right One Left Sidebars', 'best-magazine' ), 'description'=>''),

        ),
        'show' => array(
                      '1'=>array( 'content_area'),
                      '2'=>array('main_column', 'content_area'),
                      '3'=>array('main_column', 'content_area'),
                      '4'=>array('main_column', 'content_area','pwa_width'),
                      '5'=>array('main_column', 'content_area','pwa_width'),
                      '6'=>array('main_column', 'content_area','pwa_width'),
                      ),
        'hide' => array(),
        'img_src' => 'sprite-layouts.png',
        'img_height' => 289,
        'img_width' => 50,
        'default' => '0',
      ),
	  'full_width' => array(
		'name' => 'full_width',
		'title' => __( 'Full Width', 'best-magazine' ),
		'type' => 'checkbox',
		'valid_options' => array(
			'on' => array(
				'name' => 'on',
				'title' => __( 'One', 'best-magazine' )
			)
		),
		'description' => __( 'You can choose full width for pages and posts on the website.', 'best-magazine' ),
		'section' => 'layout_editor',
		'tab' => 'layout_editor',
		'default' => false
		),	  
	
		'content_area' => array(
		'name' => 'content_area',
		'title' => __( 'Content Area Width', 'best-magazine' ),
		'type' => 'text',
		'valid_options' => '',
		"sanitize_type" => "sanitize_text_field",
		'description' => __( 'Specify the width of the Content Area', 'best-magazine' ),
		'input_size' => '5',
		'default' => '1024',
		"unit_symbol" => "px"
		),
      'main_column' => array( 
        "name" => "main_column", 
        "title" =>  __( "Main Column Width", 'best-magazine' ), 
        'type' => 'text', 
		"sanitize_type" => "sanitize_text_field",
        "description" =>  __( "Specify the width of the Main Column", 'best-magazine' ),
        'unit_symbol' => '%',
        'input_size' => '2',
        'default' => '67'    
      ),
      'pwa_width' => array( 
        "name" => "pwa_width", 
        "title" =>  __( "Primary Widget Area width", 'best-magazine' ), 
        'type' => 'text', 
		"sanitize_type" => "sanitize_text_field",
        "description" =>  __( "Specify the width of the Primary Widget Area", 'best-magazine' ),
        'unit_symbol' => '%',
        'input_size' => '2',
        'default' => '16'    
      ),
    );

  }
 
}